Getting Started with Angular Smith Chart Component

This section explains the steps required to create an Angular Smith Chart and demonstrates the basic usage of the Smith Chart component in an Angular environment.

Note: This guide supports Angular 21 and other recent Angular versions. For detailed compatibility with other Angular versions, please refer to the Angular version support matrix. Starting from Angular 19, standalone components are the default, and this guide reflects that architecture.

Ready to streamline your Syncfusion® Angular development? Discover the full potential of Syncfusion® Angular components with Syncfusion® AI Coding Assistant. Effortlessly integrate, configure, and enhance your projects with intelligent, context-aware code suggestions, streamlined setups, and real-time insights—all seamlessly integrated into your preferred AI-powered IDEs like VS Code, Cursor, Syncfusion® Code Studio, and more. Explore Syncfusion® AI Coding Assistant

Prerequisites

Ensure your development environment meets the System Requirements for Syncfusion® Angular UI Components, which covers supported Node.js, Angular, and @syncfusion/ej2-angular-charts versions.

Set up the Angular application

A straightforward approach to begin with Angular is to create a new application using the Angular CLI. Install the Angular CLI globally with the following command:

npm install -g @angular/cli

Angular 21 Standalone Architecture: Standalone components are the default in Angular 21. This guide uses the modern standalone architecture. If you need more information about the standalone architecture, refer to the Standalone Guide.

Install a specific version of Angular CLI

To install a particular version of the Angular CLI, use:

npm install -g @angular/cli@21

Create a new application

With the Angular CLI installed, execute the following command to generate a new application:

ng new syncfusion-angular-app

This command will prompt you to configure settings such as enabling Angular routing and choosing a stylesheet format. Select the options that best match your project requirements.

? Which stylesheet format would you like to use? (Use arrow keys)
> CSS             [ https://developer.mozilla.org/docs/Web/CSS                     ]
  Sass (SCSS)     [ https://sass-lang.com/documentation/syntax#scss                ]
  Sass (Indented) [ https://sass-lang.com/documentation/syntax#the-indented-syntax ]
  Less            [ http://lesscss.org                                             ]

By default, a CSS-based application is created. Use SCSS if required:

ng new syncfusion-angular-app --style=scss

During project setup, when prompted for the Server-Side Rendering (SSR) option, choose the appropriate configuration based on your project requirements.

Initial_setup

When prompted to select an AI tool, select the required AI tool or choose none if you do not need any AI tool.

Initial_setup

Navigate to your newly created application directory:

cd syncfusion-angular-app

Note: In Angular 19 and below, the CLI generates files like app.component.ts, app.component.html, and app.component.css. In Angular 20 and above, the CLI generates a simpler structure with src/app/app.ts, app.html, and app.css (without the .component. suffix). The code examples in this guide use the Angular 20+ file layout.

Installing Syncfusion® Smith Chart package

Syncfusion®’s Angular component packages are available on npmjs.com. To use Syncfusion® Angular components, install the necessary package.

This guide uses the Angular Smith Chart component for demonstration. The Smith Chart is shipped as part of the broader Syncfusion Angular Charts package. Add the package to your application with:

ng add @syncfusion/ej2-angular-charts

The above command performs the following configurations:

  • Adds the @syncfusion/ej2-angular-charts package and its peer dependencies to your package.json.
  • Import the Smith Chart component in your application.

The ng add schematic does not automatically import components into app.component.ts; you still need to add the imports manually as shown in the next section.

For more details on version compatibility, refer to the Version Compatibility section.

Syncfusion® offers two package structures for Angular components:

  1. Ivy library distribution package format
  2. Angular compatibility compiler (ngcc), which is Angular’s legacy compilation pipeline.

Syncfusion®’s latest Angular packages are provided as Ivy-compatible and suited for Angular 12 and above. To install the package, execute:

ng add @syncfusion/ej2-angular-charts

For applications not compiled with Ivy, use the ngcc tagged packages:

The ngcc packages are still compatible with Angular CLI versions 15 and below. However, they may generate warnings suggesting the use of Ivy compiled packages. Starting from Angular 16, support for the ngcc package has been completely removed. If you have further questions regarding ngcc compatibility, please refer to the following FAQ.

npm add @syncfusion/[email protected]

Add the Smith Chart component

Update the contents of src/app/app.ts (or src/app/app.component.ts for Angular 19 and below) as shown below. The component imports SmithchartModule from @syncfusion/ej2-angular-charts, declares the selector app-root, and renders an empty Smith Chart in the template.

import { SmithchartModule } from '@syncfusion/ej2-angular-charts';
import { Component, ViewEncapsulation } from '@angular/core';

@Component({
    imports: [
        SmithchartModule
    ],
    standalone: true,
    selector: 'app-root',
    // Specifies the template string for the Smith Chart component
    template: `<ejs-smithchart id='container'></ejs-smithchart>`,
    encapsulation: ViewEncapsulation.None
})
export class AppComponent  { }

The default index.html (located at src/index.html) already contains an <app-root></app-root> element in its <body>, so no manual change is required for the default Angular project layout. If you have customized the bootstrap selector, ensure the selector in @Component matches the element used in index.html.

<app-root></app-root>

The following example shows a basic Smith Chart rendered with the code above.

import { Component } from '@angular/core';
import { SmithchartModule, TooltipRenderService, SmithchartLegendService } from '@syncfusion/ej2-angular-charts';

@Component({
    imports: [SmithchartModule],
    providers: [TooltipRenderService, SmithchartLegendService],
    standalone: true,
    selector: 'app-container',
    // Specifies the template string for the Smith Chart component
    template: `<ejs-smithchart id="smithchart-container" height='350px'></ejs-smithchart>`
})
export class AppComponent {

}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Run the application

After the configuration is complete, run the following command to launch the development server and open the application in your default browser:

npm start

Module Injection

Syncfusion® Smith Chart features are exposed as injectable services. To use a particular feature, add its service to the providers array of the component. In the following sections you will extend the basic Smith Chart to visualize transmission lines; that example uses the tooltip and legend features. The relevant service names and descriptions are listed below.

  • SmithchartLegendService - Inject this provider to use the legend feature.
  • TooltipRenderService - Inject this provider to use the tooltip feature.

Inject these services in the providers array of the standalone component, as shown below.

import { Component } from '@angular/core';
import { SmithchartModule, SmithchartLegendService, TooltipRenderService } from '@syncfusion/ej2-angular-charts';

@Component({
    imports: [
        SmithchartModule
    ],
    standalone: true,
    selector: 'app-root',
    template: `<ejs-smithchart id='container'></ejs-smithchart>`,
    encapsulation: ViewEncapsulation.None,
    providers: [ SmithchartLegendService, TooltipRenderService ]
})
export class AppComponent  { }

For a complete list of available Smith Chart services, refer to the Smith Chart API reference.

Add series to the Smith Chart

The Smith Chart supports two ways to bind data to a series.

  • dataSource - Bind a data object directly by specifying resistance and reactance field names to add a series.
  • points - Bind a collection of objects containing resistance and reactance values directly to render a series.

The following sample demonstrates adding two series to the Smith Chart using both approaches.

  • The first series, Transmission1, uses the dataSource binding.
  • The second series, Transmission2, uses the points binding.

Update the app.component.ts file as shown below to add the series data and template bindings.

import { Component } from '@angular/core';
import { SmithchartModule, TooltipRenderService, SmithchartLegendService } from '@syncfusion/ej2-angular-charts';

@Component({
    imports: [SmithchartModule],
    providers: [TooltipRenderService, SmithchartLegendService],
    standalone: true,
    selector: 'app-container',
    template: `<ejs-smithchart style='display: block;' id='container' height='350px'>
        <e-seriesCollection>
            <e-series [dataSource]='seriesdata1' name='Transmission1' reactance='reactance' resistance='resistance'></e-series>
            <e-series [points]='seriespoints' name='Transmission2'></e-series>
        </e-seriesCollection>
    </ejs-smithchart>`
})
export class AppComponent {
    public seriesdata1: object[] = [
        { resistance: 0, reactance: 0.05 }, { resistance: 0, reactance: 0.05 },
        { resistance: 0, reactance: 0.05 }, { resistance: 0, reactance: 0.05 },
        { resistance: 0, reactance: 0.05 }, { resistance: 0, reactance: 0.05 },
        { resistance: 0, reactance: 0.05 }, { resistance: 0, reactance: 0.05 },
        { resistance: 0, reactance: 0.05 }, { resistance: 0, reactance: 0.05 },
        { resistance: 0.3, reactance: 0.1 }, { resistance: 0.5, reactance: 0.2 },
        { resistance: 1.5, reactance: 0.5 }, { resistance: 2.0, reactance: 0.5 },
        { resistance: 2.5, reactance: 0.4 }, { resistance: 3.5, reactance: 0.0 },
        { resistance: 2.5, reactance: 0.4 }, { resistance: 3.5, reactance: 0.0 },
        { resistance: 2.5, reactance: 0.4 }, { resistance: 3.5, reactance: 0.0 },
        { resistance: 4.5, reactance: -0.5 }, { resistance: 5.0, reactance: -1.0 }
    ];
    public seriespoints: object[] = [
        { resistance: 0, reactance: 0.15 }, { resistance: 0, reactance: 0.15 },
        { resistance: 0, reactance: 0.15 }, { resistance: 0.3, reactance: 0.2 },
        { resistance: 0.3, reactance: 0.2 }, { resistance: 0.3, reactance: 0.2 },
        { resistance: 0.3, reactance: 0.2 }, { resistance: 0.3, reactance: 0.2 },
        { resistance: 0.5, reactance: 0.4 }, { resistance: 1.0, reactance: 0.8 },
        { resistance: 2.5, reactance: 1.3 }, { resistance: 3.5, reactance: 1.6 },
        { resistance: 3.5, reactance: 1.6 }, { resistance: 3.5, reactance: 1.6 },
        { resistance: 4.5, reactance: 2.0 }, { resistance: 6.0, reactance: 4.5 },
        { resistance: 8, reactance: 6 }, { resistance: 10, reactance: 25 }
    ];
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Troubleshooting

  • If the Smith Chart does not render, confirm that SmithchartModule is listed in the imports array of the standalone component and that the development server has been restarted after package installation.
  • If features such as legend or tooltip do not appear, ensure the corresponding service (SmithchartLegendService or TooltipRenderService) is added to the providers array.
  • If you encounter Cannot find module '@syncfusion/ej2-angular-charts' errors, verify that the package is listed in package.json and run npm install to refresh node_modules.
  • For build errors related to the ngcc package on Angular 16+, switch to the standard Ivy-compatible package by running npm install @syncfusion/ej2-angular-charts@latest.

See also

Getting started with React Smith Chart component

This section describes the steps to create a simple Smith Chart and demonstrates the basic usage of the Smith Chart component.

A quick video overview of the React Smith Charts setup is available:

Prerequisites

Before getting started, ensure that your development environment meets the system requirements for Syncfusion® React UI components. That page documents the supported React, Node.js, and npm versions, and includes the React-version compatibility table for Syncfusion React components.

  • Basic knowledge of React and TypeScript (recommended)
  • A code editor like Visual Studio Code

Dependencies

Below is the list of minimum dependencies required to use the Smith Chart component. The package under @syncfusion/ej2-react-charts is the only package you need to install explicitly; the rest are installed automatically as transitive dependencies.

  |-- @syncfusion/ej2-react-charts
      |-- @syncfusion/ej2-charts
      |-- @syncfusion/ej2-base
      |-- @syncfusion/ej2-data
      |-- @syncfusion/ej2-svg-base
      |-- @syncfusion/ej2-pdf-export
      |-- @syncfusion/ej2-compression
      |-- @syncfusion/ej2-file-utils
      |-- @syncfusion/ej2-react-base

Installation and configuration

To easily set up a React application, use the Vite CLI (npm create vite), which provides a faster development environment, smaller bundle sizes, and optimized builds compared to traditional tools like create-react-app. For detailed steps, refer to the Vite installation instructions. Vite sets up your environment using JavaScript and optimizes your application for production.

Note: To create a React application using create-react-app instead, refer to this documentation for more details.

To create a new React application, run the following command.

npm create vite@latest my-app

This command will prompt you for a few settings for the new project, such as selecting a framework and a variant.

Initial_setup

To set up a React application in TypeScript environment, run the following command.

npm create vite@latest my-app -- --template react-ts
cd my-app

To set up a React application in JavaScript environment, run the following command.

npm create vite@latest my-app -- --template react
cd my-app

Install Syncfusion® Smith Chart Package

All the available Essential® JS 2 packages are published in the npmjs.com public registry.
From inside the newly created project directory, install the Syncfusion® Smith Chart package using the following command:

npm install @syncfusion/ej2-react-charts

Add Smith Chart to the project

Replace the contents of src/App.tsx (for a TypeScript project) or src/App.jsx (for a JavaScript project) with the following code. The example below registers a basic Smith Chart and renders it inside the application’s root element defined in index.html.

import * as React from "react";
import { SmithchartComponent } from '@syncfusion/ej2-react-charts';

function App() {
  return ( <SmithchartComponent></SmithchartComponent> );
}
export default App;

The complete sample below renders a basic Smith Chart with the configuration above.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { SmithchartComponent } from '@syncfusion/ej2-react-charts';

function App() {
    return (<SmithchartComponent id="smithchart"></SmithchartComponent>);
}
export default App;
const root = ReactDOM.createRoot(document.getElementById('smithchart'));
root.render(<App />);
import * as React from "react";
import * as ReactDOM from "react-dom";
import { SmithchartComponent } from '@syncfusion/ej2-react-charts';

function App() {

  return ( <SmithchartComponent id="smithchart"></SmithchartComponent> );

}
export default App;
const root = ReactDOM.createRoot(document.getElementById('smithchart'));
root.render(<App />);

Now run the npm run dev command in the console to start the development server. This command compiles your code and serves the application locally, opening it in the browser.

npm run dev

Module injection

Smith Chart components are segregated into individual feature-wise modules. In order to use a particular feature, you need to inject its feature service into the component’s services. In the current application, we are going to modify the above basic Smith Chart to visualize transmission lines. For this application we are going to use the tooltip and legend features of the Smith Chart. The relevant feature services are listed below.

  • SmithchartLegend - Inject this module into services to use the legend feature.
  • TooltipRender - Inject this module into services to use the tooltip feature.

Import the above-mentioned modules from the chart package and inject them into the services section of the Smith Chart component.

import * as React from "react";
import { SmithchartComponent, SmithchartLegend, TooltipRender, Inject } from '@syncfusion/ej2-react-charts';

function App() {

  return ( <SmithchartComponent id="smithchart" >
      <Inject services={[SmithchartLegend, TooltipRender]} />
    </SmithchartComponent> );

}
export default App;

Add series to Smith Chart

The Smith Chart has two types of specifications for adding series.

  • dataSource — Bind a data object directly by specifying resistance and reactance values; the series renders from the provided dataSource.
  • points — Provide a collection of resistance and reactance value points for the series. Each point must be an object of the shape { resistance: number, reactance: number }, for example [{ resistance: 0, reactance: 0.5 }, { resistance: 1, reactance: 0 }].

The samples below demonstrate adding two series to the Smith Chart, one for each approach.

  • First series Transmission1 shows a dataSource-bound series.
  • Second series Transmission2 shows a points-bound series.
import * as React from "react";
import * as ReactDOM from "react-dom";
import { SmithchartComponent, SmithchartSeriesCollectionDirective, SmithchartSeriesDirective } from '@syncfusion/ej2-react-charts';
function App() {
    return (<SmithchartComponent id='smithchart'>
                        <SmithchartSeriesCollectionDirective>
                            <SmithchartSeriesDirective points={[
            { resistance: 10, reactance: 25 }, { resistance: 8, reactance: 6 },
            { resistance: 6, reactance: 4.5 }, { resistance: 4.5, reactance: 2 },
            { resistance: 3.5, reactance: 1.6 }, { resistance: 2.5, reactance: 1.3 },
            { resistance: 2, reactance: 1.2 }, { resistance: 1.5, reactance: 1 },
            { resistance: 1, reactance: 0.8 }, { resistance: 0.5, reactance: 0.4 },
            { resistance: 0.3, reactance: 0.2 }, { resistance: 0, reactance: 0.15 },
        ]} name='Transmission1'>
                            </SmithchartSeriesDirective>
                            <SmithchartSeriesDirective points={[
            { resistance: 20, reactance: -50 }, { resistance: 10, reactance: -10 },
            { resistance: 9, reactance: -4.5 }, { resistance: 8, reactance: -3.5 },
            { resistance: 7, reactance: -2.5 }, { resistance: 6, reactance: -1.5 },
            { resistance: 5, reactance: -1 }, { resistance: 4.5, reactance: -0.5 },
            { resistance: 3.5, reactance: 0 }, { resistance: 2.5, reactance: 0.4 },
            { resistance: 2, reactance: 0.5 }, { resistance: 1.5, reactance: 0.5 },
            { resistance: 1, reactance: 0.4 }, { resistance: 0.5, reactance: 0.2 },
            { resistance: 0.3, reactance: 0.1 }, { resistance: 0, reactance: 0.05 },
        ]} name='Transmission2'>
                            </SmithchartSeriesDirective>
                        </SmithchartSeriesCollectionDirective>
            </SmithchartComponent>);
}
;
export default App;
const root = ReactDOM.createRoot(document.getElementById('smithchart'));
root.render(<App />);
import * as React from "react";
import * as ReactDOM from "react-dom";
import { SmithchartComponent, SmithchartSeriesCollectionDirective, SmithchartSeriesDirective } from '@syncfusion/ej2-react-charts';

function App() {

  return ( <SmithchartComponent id='smithchart'>
                        <SmithchartSeriesCollectionDirective>
                            <SmithchartSeriesDirective
                                points={[
                                    { resistance: 10, reactance: 25 }, { resistance: 8, reactance: 6 },
                                    { resistance: 6, reactance: 4.5 }, { resistance: 4.5, reactance: 2 },
                                    { resistance: 3.5, reactance: 1.6 }, { resistance: 2.5, reactance: 1.3 },
                                    { resistance: 2, reactance: 1.2 }, { resistance: 1.5, reactance: 1 },
                                    { resistance: 1, reactance: 0.8 }, { resistance: 0.5, reactance: 0.4 },
                                    { resistance: 0.3, reactance: 0.2 }, { resistance: 0, reactance: 0.15 },
                                ]} name='Transmission1'
                                >
                            </SmithchartSeriesDirective>
                            <SmithchartSeriesDirective
                                points={[
                                    { resistance: 20, reactance: -50 }, { resistance: 10, reactance: -10 },
                                    { resistance: 9, reactance: -4.5 }, { resistance: 8, reactance: -3.5 },
                                    { resistance: 7, reactance: -2.5 }, { resistance: 6, reactance: -1.5 },
                                    { resistance: 5, reactance: -1 }, { resistance: 4.5, reactance: -0.5 },
                                    { resistance: 3.5, reactance: 0 }, { resistance: 2.5, reactance: 0.4 },
                                    { resistance: 2, reactance: 0.5 }, { resistance: 1.5, reactance: 0.5 },
                                    { resistance: 1, reactance: 0.4 }, { resistance: 0.5, reactance: 0.2 },
                                    { resistance: 0.3, reactance: 0.1 }, { resistance: 0, reactance: 0.05 },
                                ]} name='Transmission2'
                            >
                            </SmithchartSeriesDirective>
                        </SmithchartSeriesCollectionDirective>
            </SmithchartComponent> );

};
export default App;
const root = ReactDOM.createRoot(document.getElementById('smithchart'));
root.render(<App />);

Troubleshooting

If you encounter issues while setting up or running the Smith Chart, refer to the common problems and solutions below.

  • Blank chart with no series visible — Ensure the series array is passed to SmithchartComponent and that the injected modules (such as SmithchartLegend or TooltipRender) match the features you have enabled.
  • License warning in the console — Register a Syncfusion license key as described in the licensing documentation.
  • Module not found errors during build — Confirm that @syncfusion/ej2-react-charts is listed under dependencies in package.json and that npm install has finished successfully.
  • Markers, legend, or tooltip not appearing — Verify that the corresponding module (SmithchartLegend, TooltipRender, etc.) is included in the services array passed to Inject.

See also

Getting Started with the Vue Smith Chart Component in Vue 2

This article provides a step-by-step guide to creating a Vue 2 application using Vue CLI and integrating the Syncfusion® Vue Smith Chart component.

Prerequisites

Ensure that the development environment meets the system requirements for Syncfusion® Vue UI components.

Note: Vue CLI is in maintenance mode. This guide uses Vue CLI because it describes integration with a Vue 2 application.

Dependencies

The following are the minimum dependencies required to use the Vue Smith Chart component:

|-- @syncfusion/ej2-vue-charts
    |-- @syncfusion/ej2-charts
    |-- @syncfusion/ej2-base
    |-- @syncfusion/ej2-data
    |-- @syncfusion/ej2-svg-base
    |-- @syncfusion/ej2-pdf-export
    |-- @syncfusion/ej2-compression
    |-- @syncfusion/ej2-file-utils
    |-- @syncfusion/ej2-vue-base

Only the @syncfusion/ej2-vue-charts package must be installed directly. Its required dependencies are installed automatically.

Use a package release that supports Vue 2. Before upgrading, check the Vue system requirements and the package release notes.

Setting Up the Vue 2 Project

Install Vue CLI globally using either npm or yarn, and create a project with the vue create command.

npm

npm install -g @vue/cli
vue create quickstart

yarn

yarn global add @vue/cli
vue create quickstart

When creating the project, select Default ([Vue 2] babel, eslint) from the menu. If this preset is unavailable, select the manual configuration option and choose Vue 2 when prompted for the Vue version.

Vue 2 project

After the project is created, navigate to its directory:

cd quickstart

Add the Syncfusion® Vue Package

Syncfusion® Vue packages are available on npm.

Install the @syncfusion/ej2-vue-charts package using either npm or yarn.

npm

npm install @syncfusion/ej2-vue-charts

yarn

yarn add @syncfusion/ej2-vue-charts

Note: npm v5 and later save installed packages to dependencies by default, so the --save option is not required.

Add the Syncfusion® Vue Smith Chart Component

Follow these steps to add the Vue Smith Chart component.

Step 1: Import and locally register the Smith Chart component in the script section of src/App.vue.

<script>
import { SmithchartComponent } from '@syncfusion/ej2-vue-charts';

export default {
  components: {
    'ejs-smithchart': SmithchartComponent
  }
};
</script>

Step 2: Define the Smith Chart component in the template section.

<template>
    <ejs-smithchart id="smithchart"></ejs-smithchart>
</template>

At this stage, the component is registered, but no plotted data is displayed until a series is configured.

The following is the complete code for the src/App.vue file:

<template>
    <ejs-smithchart id="smithchart"></ejs-smithchart>
</template>

<script>
import { SmithchartComponent } from '@syncfusion/ej2-vue-charts';

export default {
  components: {
    'ejs-smithchart': SmithchartComponent
  }
}
</script>

Run the Project

Save src/App.vue, and then start the development server using either npm or yarn.

npm

npm run serve

yarn

yarn run serve

Open the local URL displayed in the terminal, commonly http://localhost:8080, and verify that the Smith Chart displays with the transmission-line series.

Module Registration

The Smith Chart component uses feature-specific modules. Register only the modules required by the application with the component’s provide option.

The following optional modules are used in this guide:

  • SmithchartLegend enables the legend.
  • TooltipRender enables series tooltips.
import {
  SmithchartComponent,
  SmithchartLegend,
  TooltipRender
} from '@syncfusion/ej2-vue-charts';

export default {
  components: {
    'ejs-smithchart': SmithchartComponent
  },
  provide: {
    smithchart: [SmithchartLegend, TooltipRender]
  }
};

Register SmithchartLegend only when the legend is enabled. Register TooltipRender only when series tooltips are enabled.

Add a Series to the Smith Chart

Import and register SeriesCollectionDirective and SeriesDirective to declare series in the Vue template.

A Smith Chart series can be populated using either dataSource or points.

When dataSource is used, map the source fields with the series resistance and reactance properties. Each data object must contain numeric fields mapped by resistance and reactance.

Alternatively, assign an array of resistance and reactance objects directly to the series points property:

Use either dataSource with field mappings or points for a series according to the application’s data model.

Replace the contents of src/App.vue with the following complete example:

<template>
  <div class="control_wrapper">
    <ejs-smithchart id="smithchart">
      <e-seriesCollection>
        <e-series :dataSource='dataSource' :name='name' :reactance='reactance' :resistance='resistance'></e-series>
        <e-series :points='points' :name='name2'></e-series>
      </e-seriesCollection>
    </ejs-smithchart>
  </div>
</template>
<script>
import { SmithchartComponent, SeriesDirective, SeriesCollectionDirective } from "@syncfusion/ej2-vue-charts";

export default {
  name: "App",
  components: {
    "ejs-smithchart": SmithchartComponent,
    "e-seriesCollection": SeriesCollectionDirective,
    "e-series": SeriesDirective
  },
  data: function () {
    return {
      dataSource: [
        { resistance: 0, reactance: 0.05 }, { resistance: 0, reactance: 0.05 },
        { resistance: 0, reactance: 0.05 }, { resistance: 0, reactance: 0.05 },
        { resistance: 0, reactance: 0.05 }, { resistance: 0, reactance: 0.05 },
        { resistance: 0, reactance: 0.05 }, { resistance: 0, reactance: 0.05 },
        { resistance: 0, reactance: 0.05 }, { resistance: 0, reactance: 0.05 },
        { resistance: 0.3, reactance: 0.1 }, { resistance: 0.5, reactance: 0.2 },
        { resistance: 1.5, reactance: 0.5 }, { resistance: 2.0, reactance: 0.5 },
        { resistance: 2.5, reactance: 0.4 }, { resistance: 3.5, reactance: 0.0 },
        { resistance: 2.5, reactance: 0.4 }, { resistance: 3.5, reactance: 0.0 },
        { resistance: 2.5, reactance: 0.4 }, { resistance: 3.5, reactance: 0.0 },
        { resistance: 4.5, reactance: -0.5 }, { resistance: 5.0, reactance: -1.0 }

      ],
      name: 'Transmission1',
      reactance: 'reactance', resistance: 'resistance',
      points: [{ resistance: 0, reactance: 0.15 }, { resistance: 0, reactance: 0.15 },
      { resistance: 0, reactance: 0.15 }, { resistance: 0.3, reactance: 0.2 },
      { resistance: 0.3, reactance: 0.2 }, { resistance: 0.3, reactance: 0.2 },
      { resistance: 0.3, reactance: 0.2 }, { resistance: 0.3, reactance: 0.2 },
      { resistance: 0.5, reactance: 0.4 }, { resistance: 1.0, reactance: 0.8 },
      { resistance: 2.5, reactance: 1.3 }, { resistance: 3.5, reactance: 1.6 },
      { resistance: 3.5, reactance: 1.6 }, { resistance: 3.5, reactance: 1.6 },
      { resistance: 4.5, reactance: 2.0 }, { resistance: 6.0, reactance: 4.5 },
      { resistance: 8, reactance: 6 }, { resistance: 10, reactance: 25 }],
      name2: 'Transmission2'
    }
  }
}
</script>

Troubleshooting

  • The Smith Chart is not rendered. Verify that SmithchartComponent is imported and registered, the component has valid width and height values, and the browser console contains no component, data, or licensing errors.
  • The series is not displayed. Verify that SeriesCollectionDirective and SeriesDirective are imported and registered and that the series is declared inside e-series-collection.
  • No data is displayed. Verify that dataSource contains records, the resistance and reactance properties match fields in every data object, and both mapped fields contain numeric values.
  • The tooltip is not displayed. Set tooltip.visible to true, bind the tooltip object to the series, and register TooltipRender with the exact smithchart key.
  • A package or Vue version error occurs. Confirm that the installed @syncfusion/ej2-vue-charts release supports Vue 2 and that all Syncfusion packages use compatible versions.

For additional assistance, refer to the Vue Smith Chart API documentation.

See Also